<?php

/**
**
**@hook on activation
**
**/
function ocart_pagos_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['pagos'] = array ( 'name' => __('PagosOnline','ocart'), 
								  'paymentname' => __('PagosOnline','ocart'), 
								  'options' => array( 'enabled', 'encryption_key', 'userid', 'testmode', 'charge' ), 
								  'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_pagos_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['pagos'])) {
		unset($installed['pagos']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_pagos_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['pagos'])) {
		unset($installed['pagos']);
	}
	update_option('occommerce_OC_gateways', $installed);

}